Get Backup Details

Get Backup Details
Get backup details

Returns extended backup metadata (including instance details at backup time) for one backup job id.

Request
URI
GET
https://{api_host}/https://{api_host}:{port}/lh-appliance/backup/status/{id}/details
COPY
Path Parameters
string
id
Required

Backup job id (same id as in backup status/history).

id example
abcde

Authentication
This operation uses the following authentication methods.
Responses
200

Successful response

Returns BackupDetails of type(s) application/json
{
    "backup_id": "string",
    "description": "string",
    "trigger_type": "string",
    "version": "string",
    "instancesDetails": [
        {
            "instance": "string",
            "atp_version": "string",
            "form_factor": "SMALL",
            "controller_count": 0,
            "worker_count": 0,
            "node_pool": [
                {
                    "start": "string",
                    "end": "string",
                    "name": "string"
                }
            ],
            "service_pool": [
                {
                    "start": "string",
                    "end": "string",
                    "name": "string"
                }
            ],
            "ingress_fqdn": "string",
            "kafka_fqdn": "string"
        }
    ]
}
string
backup_id
Optional

Unique id of backup

string
description
Optional

Backup description

string
trigger_type
Optional

Backup triggered type

string
version
Optional

Deployed version of SSPI

array of object
instancesDetails
Optional

Details of SSP instances deployed by this SSPI at the time the backup was taken


400

Bad Request

Returns BadRequest of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


401

Unauthorized

Returns Unauthorized of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


403

Forbidden

Returns Forbidden of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


412

Precondition Failed

Returns PreconditionFailed of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


428

Precondition Required

Returns PreconditionRequired of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


429

Too Many Requests

Returns TooManyRequests of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


500

unexpected error

Returns Error of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/https://{api_host}:{port}/lh-appliance/backup/status/{id}/details